package ${basePackage}.module.system.ent;

import ${basePackage}.frame.base.BaseEntity;
import ${basePackage}.frame.excel.annotation.ExcelNote;
import ${basePackage}.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import ${basePackage}.frame.excel.annotation.ExcelSheet;

/**
 * TASK_SQL - SQL任务
 *
 * @author author
 * @version 0.0.1
 * @since 2020-05-24
 */
@ExcelSheet("SQL任务")
public class TaskSql extends BaseEntity {

    /**
     * TASK_NAME - 任务名称
     */
    @ExcelProperty("任务名称")
    @ExcelNote("")
    private String taskName;
    /**
     * TASK_NOTE - 详细注释
     */
    @ExcelProperty("详细注释")
    @ExcelNote("")
    private String taskNote;
    /**
     * TASK_TYPE - 任务类型
     */
    @ExcelProperty("任务类型")
    @ExcelNote("")
    private String taskType;
    /**
     * TYPE_VALUE - 任务类型值
     */
    @ExcelProperty("任务类型值")
    @ExcelNote("")
    private String typeValue;
    /**
     * TASK_SQL - 任务SQL
     */
    @ExcelProperty("任务SQL")
    @ExcelNote("")
    private String taskSql;
    /**
     * VALID - 是否有效
     */
    @ExcelProperty("是否有效")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean valid;

    public String getTaskName() {
        return this.taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskNote() {
        return this.taskNote;
    }

    public void setTaskNote(String taskNote) {
        this.taskNote = taskNote;
    }

    public String getTaskType() {
        return this.taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getTypeValue() {
        return this.typeValue;
    }

    public void setTypeValue(String typeValue) {
        this.typeValue = typeValue;
    }

    public String getTaskSql() {
        return this.taskSql;
    }

    public void setTaskSql(String taskSql) {
        this.taskSql = taskSql;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}